Bug 149684 - Yum unable to read downloaded files
Yum unable to read downloaded files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 22:24 EST by Carl Gherardi
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 16:06:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Gherardi 2005-02-24 22:24:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
After the rpm have downloaded I get the message

"Could not open local rpm file: //var/cache/yum/development/packages/<pgkname>"

Though I can install the packages quite happily

Version-Release number of selected component (if applicable):
yum-2.3.0-1

How reproducible:
Always

Steps to Reproduce:
1. yum update


Actual Results:  # yum update

<snip>

  Update: tkinter.i386 0:2.4-4 - development
  Update: totem.i386 0:0.101-4 - development
Total download size: 165 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 30c9ecf8
Could not open local rpm file: //var/cache/yum/development/packages/tetex-dvips-

[root@coeus tmp]# rpm -Uvh //var/cache/yum/development/packages/tetex-dvips-3.0-
warning: //var/cache/yum/development/packages/tetex-dvips-3.0-2.i386.rpm: Header
Preparing...                ########################################### [100%]
   1:tetex-dvips            ########################################### [100%]
[root@coeus tmp]

This is happening for all of the downloaded rpms.

Additional info:
Comment 1 Seth Vidal 2005-02-25 00:50:42 EST
known and fixed in cvs.
will be fixed in 2.3.1

Note You need to log in before you can comment on or make changes to this bug.